GitLab's annual major release is around the corner. Along with a lot of new and exciting features, there will be a few breaking changes. Learn more here.

Commit 8f717ccf authored by Liguros - Gitlab CI/CD [feature/flatten]'s avatar Liguros - Gitlab CI/CD [feature/flatten]
Browse files

Updating liguros repo

parent 1ba87db6
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{5,6,7,8,9} )
PYTHON_REQ_USE="sqlite"
DISTUTILS_USE_SETUPTOOLS=rdepend
inherit distutils-r1
DESCRIPTION="real-time metrics for nginx server (and others)"
HOMEPAGE="https://github.com/lebinh/ngxtop"
#SRC_URI="https://github.com/lebinh/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
SRC_URI="https://dev.gentoo.org/~jlec/distfiles/${P}.tar.xz"
SLOT="0"
LICENSE="MIT"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE=""
RDEPEND="
dev-python/docopt[${PYTHON_USEDEP}]
dev-python/pyparsing[${PYTHON_USEDEP}]
dev-python/tabulate[${PYTHON_USEDEP}]"
DEPEND="${RDEPEND}
"
PATCHES=( "${FILESDIR}"/${PN}-0.0.2-py3.patch )
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
LUA_COMPAT=( lua5-2 )
inherit lua-single
DESCRIPTION="Tool to read the contents of smartcards"
HOMEPAGE="https://pannetrat.com/Cardpeek"
SRC_URI="http://downloads.pannetrat.com/install/${P}.tar.gz"
......@@ -12,8 +16,10 @@ SLOT="0"
KEYWORDS=""
IUSE="libressl"
RDEPEND="sys-apps/pcsc-lite
dev-lang/lua:5.2
REQUIRED_USE="${LUA_REQUIRED_USE}"
RDEPEND="${LUA_DEPS}
sys-apps/pcsc-lite
x11-libs/gtk+:3
net-misc/curl
!libressl? ( dev-libs/openssl:0= )
......
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
LUA_COMPAT=( lua5-{1..2} )
inherit lua-single
DESCRIPTION="Worker Filemanager: Amiga Directory Opus 4 clone"
HOMEPAGE="https://www.boomerangsworld.de/cms/worker/"
SRC_URI="http://www.boomerangsworld.de/cms/worker/downloads/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86"
IUSE="avfs debug dbus examples libnotify lua +magic xinerama xft"
REQUIRED_USE="lua? ( ${LUA_REQUIRED_USE} )"
RDEPEND="x11-libs/libX11
avfs? ( >=sys-fs/avfs-0.9.5 )
dbus? ( dev-libs/dbus-glib )
lua? ( ${LUA_DEPS} )
magic? ( sys-apps/file )
xft? ( x11-libs/libXft )
xinerama? ( x11-libs/libXinerama )"
DEPEND="${RDEPEND}"
BDEPEND="virtual/pkgconfig"
DOCS=( AUTHORS ChangeLog INSTALL NEWS README README_LARGEFILES THANKS )
src_configure() {
# there is no ./configure flag to disable libXinerama support
export ac_cv_lib_Xinerama_XineramaQueryScreens=$(usex xinerama)
econf \
--without-hal \
--enable-utf8 \
$(use_with avfs) \
$(use_with dbus) \
$(use_enable debug) \
$(use_enable libnotify inotify) \
$(use_enable lua) \
$(use_with magic libmagic) \
$(use_enable xft)
}
src_compile() {
emake -j1
}
src_install() {
default
if use examples; then
docinto examples
dodoc examples/config-*
fi
}
DIST mpv-bash-completion-3.3.16.tar.gz 20125 BLAKE2B 1350445ea05474e553ade334c1f11e97828df11143021920a25787a295d6e870595e35dda6ccd048ed4e01e0e85443a5902893fed1aa1525e875649a93ef632d SHA512 d962cc911d571b0345ddee22ecae6faef307f2da44642d6db5223fb0e51d2b2087b038e1964cf8f1ed683bb95a3268a8ffc1fff2759561100b23921406a0e31f
DIST mpv-bash-completion-3.3.17.tar.gz 20873 BLAKE2B 5e44b315a4f148c27768a3b0c29d609b679e3d489dd79803795a75a9289816ed13797cc04c748410ba3302a2619dedad21772f2d914b2c3ff5c73189e4e348df SHA512 a0b1ae4b07bd3e5fc95fea135aa5391d0efb0d2c1e4ccbb712cf0911b9e07b23a7bfb27d43b615988610f545f1bc62226998295573480ab657e3b18966d48991
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit bash-completion-r1
DESCRIPTION="Bash completion for the mpv video player"
HOMEPAGE="https://2ion.github.io/mpv-bash-completion/"
SRC_URI="https://github.com/2ion/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="luajit"
COMMON_DEPEND=">=media-video/mpv-0.25.0[cli]"
RDEPEND="${COMMON_DEPEND}
>=app-shells/bash-completion-2.3-r1
"
DEPEND="${COMMON_DEPEND}
!luajit? ( dev-lang/lua:* )
luajit? ( dev-lang/luajit:2 )
"
src_prepare() {
default_src_prepare
# Avoid 'mpv' make target that supports lua only.
sed -i -e 's|check: mpv|check:|' Makefile || die
}
src_compile() {
# Prevent access violations from completion generation.
# See Gentoo bug 656086.
addpredict /dev/dri
$(usex luajit 'luajit' 'lua') gen.lua > mpv || die
}
src_install() {
dobashcomp mpv
einstalldocs
}
pkg_postinst() {
if ! has_version 'x11-apps/xrandr'; then
elog
elog "If you want completion of window sizes, please install 'x11-apps/xrandr'."
elog
fi
}
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit bash-completion-r1
DESCRIPTION="Bash completion for the mpv video player"
HOMEPAGE="https://2ion.github.io/mpv-bash-completion/"
SRC_URI="https://github.com/2ion/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="luajit"
COMMON_DEPEND=">=media-video/mpv-0.25.0[cli]"
RDEPEND="${COMMON_DEPEND}
>=app-shells/bash-completion-2.3-r1
"
DEPEND="${COMMON_DEPEND}
!luajit? ( dev-lang/lua:* )
luajit? ( dev-lang/luajit:2 )
"
src_prepare() {
default_src_prepare
# Avoid 'mpv' make target that supports lua only.
sed -i -e 's|check: mpv|check:|' Makefile || die
}
src_compile() {
# Prevent access violations from completion generation.
# See Gentoo bug 656086.
addpredict /dev/dri
$(usex luajit 'luajit' 'lua') gen.lua > mpv || die
}
src_install() {
dobashcomp mpv
einstalldocs
}
pkg_postinst() {
if ! has_version 'x11-apps/xrandr'; then
elog
elog "If you want completion of window sizes, please install 'x11-apps/xrandr'."
elog
fi
}
DIST dos2unix-7.3.5.tar.gz 662133 BLAKE2B e24f77d92fe0c5931f9ca762b79a1713b14cc39b7566f78d55c4fd58bb7d3c0de1f2a8add8ffd6c3fa26a6bae73c412572fc71701e26b7b52f15b51b0de0d294 SHA512 beafefa715d894ec51bd808b18485bcf413f93b888203486e659f7e30b922b32b2f1da2305ef9ae85e54085ba3819bd512957bb872b529fe4728000cec7d3e58
DIST dos2unix-7.4.1.tar.gz 711570 BLAKE2B 3dbe33007aa3e2ef47ec3dc0c3165987986955fffd7ae1435725014d52ba716626e7891911afe11674beec11fa62a12983c8dfc28cff682ca0c3e798449a9b0f SHA512 81e7cff82d95b298fb218b073f54d17fa851a7507fbd54b3cd9af7c1efa6a7bd3cf59f7a84ffbaf395403bf458650763e1755944451b24f708878a9c62316dc4
DIST dos2unix-7.4.2-beta1.tar.gz 712261 BLAKE2B 020b51a53b3b8ac601efd0f3fa424fbe5a42ca5b06e1f7282c2aca021e22b38aac21e4aa7b42ed428c95053d57bb5c35483881b06dc580b533eac2fe716142a2 SHA512 323c0dd90616bca1891f8228d43bca1c6415b5765f5fba4ccf5ce692da9b545c8f10f908ba5ebd65c3409fb4d9fdaaa2fb36d589faa8b5940d27ecf8f72bc422
DIST dos2unix-7.4.2.tar.gz 727429 BLAKE2B 5ba8aecfe3a79dfe9f4d7d69453fdcdd573c8889b41240c6bce5fea1b7e9e8213454af98f768cb2d199c85684a7d48192ba4bf856a92b867594b52a2209d5e04 SHA512 3fb77561596bafd83f3f7807ce967e58d5a96e5235afe3a4074ae7112297445690b2586bf652eb0b5bd1984fd41a79478355f6df8244561b4167a8a09593110d
......@@ -3,7 +3,7 @@
EAPI=7
PLOCALES="da de eo es fr hu ja nb nl pl pt_BR ru sr sv uk vi zh_CN zh_TW"
PLOCALES="da de eo es fr fur hu ja nb nl pl pt_BR ru sr sv uk vi zh_CN zh_TW"
inherit l10n toolchain-funcs
......
DIST ocaml-4.04.2.tar.gz 4061873 BLAKE2B 756936592c7e0c87da27f154f07850eb3e4b2ed46ff3b36ff57541375840cd56b170dbe646ef6682f63d4e15ae209d3c125581803641f07403e9eb838c265519 SHA512 8b6a0319307cbb7451594d2f7c63851299d3e7d6ae7879e7525373304f9fd5a9b01d503ecd313a12a3cae24a4a7cb909f7aeebbb70efaa5277137189ea4558cb
DIST ocaml-4.05.0.tar.gz 4431750 BLAKE2B c2ab003a13e0a581ebd0e1c96eeb8a9baea9bfe6bee08823b0e4541819201ec109f1846e13fc1aefa51a001eefbb8f73320ba854d41975fc68cef41bc75b1ecc SHA512 9a060ae4b741e1687277403e5bdb8f6eda2e2ebf6c45f7c0149b66ea1213cb26d13febfbb3f11c12543e244cfdd053b786b09c4145e2348e5d89a7206f7de225
DIST ocaml-4.09.0.tar.gz 4838748 BLAKE2B 80f29d535c64bf2371b480217723ed20b2b21cfd93ce31366a7b91e7ddffdf68db4e88d085288b7e21efee567a13f42ecff24c3a0115507b006acf844239cefd SHA512 dc0271e591bf929b751705835790949a9d741e12d085c8b207c3689b5838a02ea8de80da8b2605d2e6744f2f541b0d1694ffafff9509e99ce01f3a391f6ef2ae
DIST ocaml-4.10.0.tar.gz 4927867 BLAKE2B 71b8448a10bf3049e3b005dfbb2030d479e69e4c2ef00055f1dacd38eff838b0a5c18b4883d899b5eb4cbd05bb7ca35867010794ed25682ad51b2fe19ef2114d SHA512 f39269d572b3f7755f7881b7a9fdfe5253e49d847835ae2a8695f67e3309fc1e925523d66ecbe1fb8bc0cc3b5602e077ce7feac4926aab571383766442265179
DIST ocaml-4.11.1.tar.gz 5069552 BLAKE2B a731d4b60d7965c860dda5c9dfb26b968320760501ff3cac908b8cd96e34391c417e16077cdf753b27b85a79857451e6ff0b566a9158178026a0e6bd5240aac4 SHA512 93fa8b2ff71d5f645e3ed72913205e7d35aa523cfa87d1939d77e796495b94c2fdb4a429ea65330cdeecfb0a36f7ab053b15090d9baa151b58e5331148dc8150
DIST ocaml-patches-8.tar.bz2 1803 BLAKE2B 5e76a198c2f5ca9f231d4e80499d784cf061ec79bf6b5e3aac917e1260d1f2b927f0f8015d39c01ce4fd481d32a5d211c31e081a7ab87ba1e7c7d5def95bc0fb SHA512 fc477fbb5bdec60a3c4d3dfa110119bb579560ac0e0e57e30e076da72643bda6359c06fd3745fd3436c5d611dbbd888ec2921e9d1920f4929df633c35a797411
DIST ocaml-patches-9.tar.bz2 1700 BLAKE2B 4e46b8fb490db28f815414e285f54e251394ea53e1d25c529bbea9f03e426fd19132b1e2c7c2be7d14983fceb4cad073d191b001f6da522fee4226371d4a2eca SHA512 cc19f9104fac69aecc5effa8cb772342e1fb61cdcd38ba0176efe04cf3d710b1c56d5178748f3bd29099af91fa684da432a8ef8d42de76dbd1b6954a255ea6c0
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<!-- maintainer-needed -->
<maintainer type="person">
<email>gienah@gentoo.org</email>
<name>Mark Wright</name>
</maintainer>
<use>
<flag name="flambda">Enables the Flambda optimizer: A new intermediate representation (introduced in ocaml 4.03) in the depths of the compiler designed to allow for better inlining.</flag>
<flag name="spacetime">Enables the Spacetime memory profiler. See https://caml.inria.fr/pub/docs/manual-ocaml/spacetime.html for more information.</flag>
......
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
HOMEPAGE="https://ocaml.org/"
SRC_URI="https://github.com/ocaml/ocaml/archive/${PV}.tar.gz -> ${P}.tar.gz"
DESCRIPTION="Programming language supporting functional, imperative & object-oriented styles"
LICENSE="LGPL-2.1"
SLOT="0/${PV}"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x86-solaris"
IUSE="emacs flambda latex +ocamlopt spacetime xemacs"
RDEPEND="sys-libs/binutils-libs:=
spacetime? ( sys-libs/libunwind:= )"
BDEPEND="${RDEPEND}
virtual/pkgconfig"
PDEPEND="emacs? ( app-emacs/ocaml-mode )
xemacs? ( app-xemacs/ocaml )"
#PATCHES=("${FILESDIR}"/${PN}-4.10.0-gcc-10.patch)
src_prepare() {
default
# Upstream build ignores LDFLAGS in several places.
sed -i -e 's/\(^MKDLL=.*\)/\1 $(LDFLAGS)/' \
-e 's/\(^OC_CFLAGS=.*\)/\1 $(LDFLAGS)/' \
-e 's/\(^OC_LDFLAGS=.*\)/\1 $(LDFLAGS)/' \
Makefile.config.in || die "LDFLAGS fix failed"
# ${P} overrides upstream build's own P due to a wrong assignment operator.
sed -i -e 's/^P ?=/P =/' stdlib/StdlibModules || die "P fix failed"
}
src_configure() {
local opt=(
--bindir="${EPREFIX}/usr/bin"
--libdir="${EPREFIX}/usr/$(get_libdir)/ocaml"
--mandir="${EPREFIX}/usr/share/man"
--prefix="${EPREFIX}/usr"
$(use_enable flambda)
$(use_enable spacetime)
)
econf ${opt[@]}
}
src_compile() {
if use ocamlopt ; then
emake world.opt
else
emake world
fi
}
src_test() {
if use ocamlopt ; then
# OCaml tests only work when run sequentially
emake -j1 -C testsuite all
else
ewarn "${PN} was built without 'ocamlopt' USE flag; skipping tests."
fi
}
src_install() {
default
dodir /usr/include
# Create symlink for header files
dosym "../$(get_libdir)/ocaml/caml" /usr/include/caml
dodoc Changes README.adoc
# Create envd entry for latex input files
if use latex ; then
echo "TEXINPUTS=\"${EPREFIX}/usr/$(get_libdir)/ocaml/ocamldoc:\"" > "${T}/99ocamldoc"
doenvd "${T}/99ocamldoc"
fi
# Install ocaml-rebuild portage set
insinto /usr/share/portage/config/sets
doins "${FILESDIR}/ocaml.conf"
}
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
HOMEPAGE="https://ocaml.org/"
SRC_URI="https://github.com/ocaml/ocaml/archive/${PV}.tar.gz -> ${P}.tar.gz"
DESCRIPTION="Programming language supporting functional, imperative & object-oriented styles"
LICENSE="QPL-1.0 LGPL-2"
SLOT="0/${PV}"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x86-solaris"
IUSE="emacs flambda latex +ocamlopt spacetime xemacs"
RDEPEND="sys-libs/binutils-libs:=
spacetime? ( sys-libs/libunwind:= )"
BDEPEND="${RDEPEND}
virtual/pkgconfig"
PDEPEND="emacs? ( app-emacs/ocaml-mode )
xemacs? ( app-xemacs/ocaml )"
src_prepare() {
default
# Upstream build ignores LDFLAGS in several places.
sed -i -e 's/\(^MKDLL=.*\)/\1 $(LDFLAGS)/' \
-e 's/\(^OC_CFLAGS=.*\)/\1 $(LDFLAGS)/' \
-e 's/\(^OC_LDFLAGS=.*\)/\1 $(LDFLAGS)/' \
Makefile.config.in || die "LDFLAGS fix failed"
}
src_configure() {
local opt=(
--bindir="${EPREFIX}/usr/bin"
--libdir="${EPREFIX}/usr/$(get_libdir)/ocaml"
--mandir="${EPREFIX}/usr/share/man"
--prefix="${EPREFIX}/usr"
$(use_enable flambda)
$(use_enable spacetime)
)
econf ${opt[@]}
}
src_compile() {
if use ocamlopt ; then
env -u P emake world.opt
else
env -u P emake world
fi
}
src_test() {
if use ocamlopt ; then
# OCaml tests only work when run sequentially
emake -j1 tests
else
ewarn "${PN} was built without 'ocamlopt' USE flag; skipping tests."
fi
}
src_install() {
default
dodir /usr/include
# Create symlink for header files
dosym "../$(get_libdir)/ocaml/caml" /usr/include/caml
dodoc Changes README.adoc
# Create envd entry for latex input files
if use latex ; then
echo "TEXINPUTS=\"${EPREFIX}/usr/$(get_libdir)/ocaml/ocamldoc:\"" > "${T}/99ocamldoc"
doenvd "${T}/99ocamldoc"
fi
# Install ocaml-rebuild portage set
insinto /usr/share/portage/config/sets
doins "${FILESDIR}/ocaml.conf"
}
......@@ -22,11 +22,10 @@ RDEPEND=">=app-eselect/eselect-rust-20190311"
REQUIRED_USE="x86? ( cpu_flags_x86_sse2 )"
QA_PREBUILT="
opt/${P}/bin/*-${PV}
opt/${P}/lib/*.so
opt/${P}/lib/rustlib/*/bin/*
opt/${P}/lib/rustlib/*/lib/*.so
opt/${P}/lib/rustlib/*/lib/*.rlib*
opt/${P}/bin/.*
opt/${P}/lib/.*.so
opt/${P}/lib/rustlib/.*/bin/.*
opt/${P}/lib/rustlib/.*/lib/.*
"
pkg_pretend() {
......
DIST libdnet-1.12.ipv6-1.patch.gz 5124 BLAKE2B 674866a441a5907df97942772b1e4b95aee004ddb110204df0580cec6b6bb3ba4074831d83e675e1914f1a29281b02227e95016db6ce6a0e8b99417d1aa6aaab SHA512 fa2380e41548ecdd978722930ecf90dffabd15cf06cbae0e113285072fe98a066f1e686b6d79e2d8b9f8adcf29783f313d61933b9e1e74e71da8dc7d741f815a
DIST libdnet-1.12.tar.gz 959945 BLAKE2B a19f8c83425861d02f832330cf0eb5bc317eec157737e0eacd48a7827d423c626b24ce833f66429c9f2a0018502cae5426d5cfc1019aed307d63e4fa6b3845c8 SHA512 a2410a98b76d4bccecf7bcb82ff0b6e9fb809b389f7fea938cc42d94e18622cc5f353d2de737121a1990d9e16e9db8cc2f82677c94f78cd03c9227e815eab9e0
DIST libdnet-1.12.tgz 970125 BLAKE2B 74be00b6fe1c7848010a7044628a6ad8f4b2f2c4f9676066c15e02c7a8b613e26a5e7743df524869fee2eb7d93438bf346f772b8df199b8ec337279dd50d5d77 SHA512 b763d2caa77b8d16b531142a5bce3b862ed20198406a00e1fe7f3b45ce308b97d638b0c7f03bd8593fdd206cc1645952839bc340b77537298a3df88599835bf3
DIST libdnet-1.14.tar.gz 520833 BLAKE2B 97e241fc374fc9489e70d440db5e19199f4e653650af85e24af56bbbc0167db1c451349c43fcb630a26c61f8ca15c58f5c879e0d82654e275189ca3e140bb22a SHA512 ce8d95228f5175e4d9a8ff71bb99eb1ccc3ccd599a85dd07adbfd9842fc54066235d362c8060828fb3ba8129d0e1e8e071e93d60d69c6d03be310c80e61cea93
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
AT_M4DIR="config"
PYTHON_COMPAT=( python2_7 python3_{5,6,7,8} )
DISTUTILS_OPTIONAL=1
inherit autotools distutils-r1
DESCRIPTION="simplified, portable interface to several low-level networking routines"
HOMEPAGE="https://github.com/dugsong/libdnet"
SRC_URI="
https://github.com/dugsong/libdnet/archive/${P}.tar.gz
ipv6? ( https://fragroute-ipv6.googlecode.com/files/${P}.ipv6-1.patch.gz )
"
LICENSE="LGPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
IUSE="ipv6 python static-libs test"
DEPEND="
python? ( ${PYTHON_DEPS} )
"
RDEPEND="
${DEPEND}
"
RESTRICT="test"
REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
DOCS=( README THANKS TODO )
S=${WORKDIR}/${PN}-${P}
src_prepare() {
# Useless copy
rm -r trunk/ || die
sed -i \
-e 's/libcheck.a/libcheck.so/g' \
-e 's|AM_CONFIG_HEADER|AC_CONFIG_HEADERS|g' \
configure.in || die
sed -i -e 's|-L@libdir@ ||g' dnet-config.in || die
use ipv6 && eapply "${WORKDIR}/${P}.ipv6-1.patch"
sed -i -e '/^SUBDIRS/s|python||g' Makefile.am || die
eautoreconf
if use python; then
cd python
distutils-r1_src_prepare
fi
eapply_user
}
src_configure() {
econf \
$(use_with python) \
$(use_enable static-libs static)
}
src_compile() {
default
if use python; then
cd python
distutils-r1_src_compile
fi
}
src_install() {
default
if use python; then
cd python
unset DOCS
distutils-r1_src_install
fi
find "${D}" -name '*.la' -delete || die
}
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
AT_M4DIR="config"
PYTHON_COMPAT=( python2_7 python3_{5,6,7,8} )
DISTUTILS_OPTIONAL=1
inherit autotools distutils-r1 eutils ltprune
DESCRIPTION="simplified, portable interface to several low-level networking routines"
HOMEPAGE="https://github.com/dugsong/libdnet"
SRC_URI="https://libdnet.googlecode.com/files/${P}.tgz
ipv6? ( https://fragroute-ipv6.googlecode.com/files/${P}.ipv6-1.patch.gz )"
LICENSE="LGPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~mips ppc ppc64 sparc x86"
IUSE="ipv6 python static-libs test"
#DEPEND="test? ( dev-libs/check )"
DEPEND="python? ( ${PYTHON_DEPS} )"
RDEPEND="${DEPEND}"
RESTRICT="test"
REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
DOCS=( README THANKS TODO )
src_prepare() {
# Useless copy
rm -r trunk/ || die
sed -i \
-e 's/libcheck.a/libcheck.so/g' \
-e 's|AM_CONFIG_HEADER|AC_CONFIG_HEADERS|g' \
configure.in || die
sed -i -e 's|-L@libdir@ ||g' dnet-config.in || die
use ipv6 && epatch "${WORKDIR}/${P}.ipv6-1.patch"
sed -i -e '/^SUBDIRS/s|python||g' Makefile.am || die
eautoreconf
if use python; then
cd python
distutils-r1_src_prepare
fi
}
src_configure() {
econf \
$(use_with python) \
$(use_enable static-libs static)
}
src_compile() {
default
if use python; then
cd python
distutils-r1_src_compile
fi
}
src_install() {
default
if use python; then
cd python
unset DOCS
distutils-r1_src_install
fi
prune_libtool_files
}
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7